# Uses of Class
org.apache.lucene.util.fst.FST

Packages that use FST
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of FST in org.apache.lucene.util.fst

  Fields in org.apache.lucene.util.fst declared as FST
  Modifier and Type
  Field
  Description
  `protected final FST<T>`
  FSTEnum.`fst`
  `protected final FST<T>`
  FSTEnum.`fst`
  Methods in org.apache.lucene.util.fst that return FST
  Modifier and Type
  Method
  Description
  `static <T> FST<T>`
  FST.`fromFSTReader(FST.FSTMetadata<T> fstMetadata, FSTReader fstReader)`
  Create a FST from a `FSTReader`.
  `static <T> FST<T>`
  FST.`read(Path path, Outputs<T> outputs)`
  Reads an automaton from a file.
  Methods in org.apache.lucene.util.fst with parameters of type FST
  Modifier and Type
  Method
  Description
  `static <T> T`
  Util.`get(FST<T> fst, BytesRef input)`
  Looks up the output for this input, or null if the input is not accepted
  `static <T> T`
  Util.`get(FST<T> fst, IntsRef input)`
  Looks up the output for this input, or null if the input is not accepted.
  `static <T> FST.Arc<T>`
  Util.`readCeilArc(int label, FST<T> fst, FST.Arc<T> follow, FST.Arc<T> arc, FST.BytesReader in)`
  Reads the first arc greater or equal than the given label into the provided arc in place and returns it iff found, otherwise return `null`.
  `static <T> Util.TopResults<T>`
  Util.`shortestPaths(FST<T> fst, FST.Arc<T> fromNode, T startOutput, Comparator<T> comparator, int topN, boolean allowEmptyString)`
  Starting from node, find the top N min cost completions to a final node.
  `static <T> void`
  Util.`toDot(FST<T> fst, Writer out, boolean sameRank, boolean labelStates)`
  Dumps an `FST` to a GraphViz's `dot` language description for visualization.
  Constructors in org.apache.lucene.util.fst with parameters of type FST
  Modifier
  Constructor
  Description
  ``
  `BytesRefFSTEnum(FST<T> fst)`
  doFloor controls the behavior of advance: if it's true doFloor is true, advance positions to the biggest term before target.
  ``
  `IntsRefFSTEnum(FST<T> fst)`
  doFloor controls the behavior of advance: if it's true doFloor is true, advance positions to the biggest term before target.
  ``
  `TopNSearcher(FST<T> fst, int topN, int maxQueueDepth, Comparator<T> comparator)`
  Creates an unbounded TopNSearcher
  ``
  `TopNSearcher(FST<T> fst, int topN, int maxQueueDepth, Comparator<T> comparator, Comparator<Util.FSTPath<T>> pathComparator)`